You can subscribe to this list here.
| 2003 |
Jan
|
Feb
|
Mar
|
Apr
|
May
|
Jun
|
Jul
|
Aug
|
Sep
|
Oct
(202) |
Nov
(201) |
Dec
(280) |
|---|---|---|---|---|---|---|---|---|---|---|---|---|
| 2004 |
Jan
(493) |
Feb
(106) |
Mar
(215) |
Apr
(163) |
May
(79) |
Jun
(193) |
Jul
(47) |
Aug
(71) |
Sep
(127) |
Oct
(41) |
Nov
(49) |
Dec
(120) |
| 2005 |
Jan
(147) |
Feb
(45) |
Mar
(26) |
Apr
(71) |
May
(52) |
Jun
(28) |
Jul
(92) |
Aug
(50) |
Sep
(35) |
Oct
(193) |
Nov
(106) |
Dec
(52) |
| 2006 |
Jan
(51) |
Feb
(38) |
Mar
(33) |
Apr
(79) |
May
(107) |
Jun
(67) |
Jul
(21) |
Aug
(65) |
Sep
(44) |
Oct
(87) |
Nov
(12) |
Dec
(56) |
| 2007 |
Jan
(48) |
Feb
(58) |
Mar
(63) |
Apr
(31) |
May
(25) |
Jun
(20) |
Jul
(72) |
Aug
(54) |
Sep
(30) |
Oct
(76) |
Nov
(74) |
Dec
(25) |
| 2008 |
Jan
(39) |
Feb
(39) |
Mar
(62) |
Apr
(64) |
May
(59) |
Jun
(31) |
Jul
(25) |
Aug
(25) |
Sep
(17) |
Oct
(24) |
Nov
|
Dec
(1) |
| 2009 |
Jan
(60) |
Feb
(39) |
Mar
(16) |
Apr
(30) |
May
(52) |
Jun
(35) |
Jul
(15) |
Aug
(15) |
Sep
(21) |
Oct
(32) |
Nov
(39) |
Dec
(52) |
| 2010 |
Jan
(42) |
Feb
(40) |
Mar
(23) |
Apr
(20) |
May
(27) |
Jun
(10) |
Jul
(30) |
Aug
(30) |
Sep
(66) |
Oct
(12) |
Nov
(35) |
Dec
(60) |
| 2011 |
Jan
(16) |
Feb
(1) |
Mar
(3) |
Apr
(28) |
May
(21) |
Jun
|
Jul
(12) |
Aug
(6) |
Sep
(10) |
Oct
(14) |
Nov
(40) |
Dec
(60) |
| 2012 |
Jan
(23) |
Feb
(17) |
Mar
(24) |
Apr
(18) |
May
(13) |
Jun
(1) |
Jul
|
Aug
(5) |
Sep
|
Oct
(5) |
Nov
(5) |
Dec
(15) |
| 2013 |
Jan
(2) |
Feb
(5) |
Mar
(1) |
Apr
(2) |
May
(2) |
Jun
(3) |
Jul
|
Aug
(3) |
Sep
(5) |
Oct
(3) |
Nov
(1) |
Dec
(1) |
| 2014 |
Jan
(3) |
Feb
(5) |
Mar
(8) |
Apr
(3) |
May
(1) |
Jun
(1) |
Jul
(2) |
Aug
|
Sep
(4) |
Oct
(10) |
Nov
|
Dec
(9) |
| 2015 |
Jan
(18) |
Feb
(17) |
Mar
(5) |
Apr
(2) |
May
|
Jun
(5) |
Jul
(1) |
Aug
(2) |
Sep
(1) |
Oct
(24) |
Nov
(20) |
Dec
(41) |
| 2016 |
Jan
(9) |
Feb
(3) |
Mar
(2) |
Apr
(7) |
May
(8) |
Jun
(1) |
Jul
(6) |
Aug
(5) |
Sep
(2) |
Oct
(6) |
Nov
(1) |
Dec
(6) |
| 2017 |
Jan
(6) |
Feb
(1) |
Mar
|
Apr
(4) |
May
(1) |
Jun
(1) |
Jul
(2) |
Aug
(2) |
Sep
|
Oct
|
Nov
|
Dec
|
|
From: Bruce S. <bl...@us...> - 2006-06-12 13:53:20
|
Update of /cvsroot/devil-linux/build/scripts/configuration/profiles In directory sc8-pr-cvs4.sourceforge.net:/tmp/cvs-serv1727/scripts/configuration/profiles Modified Files: Tag: rel-1-2-patches server Log Message: I wish people would update this file when they add packages! :) Index: server =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/configuration/profiles/Attic/server,v retrieving revision 1.1.2.23 retrieving revision 1.1.2.24 diff -u -d -r1.1.2.23 -r1.1.2.24 --- server 15 Apr 2006 01:23:10 -0000 1.1.2.23 +++ server 12 Jun 2006 13:53:09 -0000 1.1.2.24 @@ -1,6 +1,8 @@ +CONFIG_AIDE=y CONFIG_ALSA=n CONFIG_APCUPSD=y CONFIG_ARPWATCH=y +CONFIG_AWSTATS=y CONFIG_BINUTILS=n CONFIG_BOOT_OPTION_VGA=80x25 CONFIG_BRIDGE_UTILS=y @@ -12,6 +14,7 @@ CONFIG_CPQARRAYD=y CONFIG_CPU=686 CONFIG_CRON=y +CONFIG_CURL=y CONFIG_CVS=y CONFIG_CYRUS_IMAPD=y CONFIG_CYRUS_SASL=y @@ -34,7 +37,9 @@ CONFIG_ETHTOOL=y CONFIG_EZ_IPUPDATE=y CONFIG_FETCHMAIL=y +CONFIG_FILE=y CONFIG_FREERADIUS=y +CONFIG_FREETYPE=y CONFIG_FROX=y CONFIG_FWLOGWATCH=y CONFIG_GCC3=n @@ -77,6 +82,7 @@ CONFIG_LINUX_WLAN_NG=y CONFIG_LM_SENSORS=y CONFIG_LOGROTATE=y +CONFIG_LOGWATCH=y CONFIG_LPRNG=y CONFIG_LVM=y CONFIG_LYNX=y @@ -114,6 +120,7 @@ CONFIG_NSSLDAPLIB=y CONFIG_NTOP=y CONFIG_NTP=y +CONFIG_NUT=y CONFIG_OIDENTD=y CONFIG_OPENH323=y CONFIG_OPENH323GK=y @@ -138,6 +145,7 @@ CONFIG_PPP=y CONFIG_PPTP_CLIENT=y CONFIG_PRISM54=y +CONFIG_PROCMAIL=y CONFIG_PSCHED_CLOCK_SOURCE=PSCHED_CPU CONFIG_PWLIB=y CONFIG_PYTHON=y @@ -157,6 +165,7 @@ CONFIG_SAGATOR=y CONFIG_SAMBA=y CONFIG_SARG=y +CONFIG_SCPONLY=y CONFIG_SCREEN=y CONFIG_SER=y CONFIG_SG3_UTILS=y @@ -203,14 +212,5 @@ CONFIG_XMBMON=y CONFIG_ZIP=y CONFIG_ZISOFS=y -CONFIG_FILE=y -CONFIG_FREETYPE=y -CONFIG_PROCMAIL=y -CONFIG_VMWARE=n -CONFIG_AIDE=y -CONFIG_LOGWATCH=y -CONFIG_CURL=y -CONFIG_SCPONLY=y -CONFIG_AWSTATS=y -CONFIG_NDIS=y -CONFIG_NUT=y +CONFIG_DSPAM=y +CONFIG_VMWARE=y |
|
From: Heiko Z. <smi...@us...> - 2006-06-12 03:05:33
|
Update of /cvsroot/devil-linux/build/config/etc/init.d In directory sc8-pr-cvs4.sourceforge.net:/tmp/cvs-serv26114/config/etc/init.d Modified Files: syslog Log Message: oops Index: syslog =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/init.d/syslog,v retrieving revision 1.11 retrieving revision 1.12 diff -u -d -r1.11 -r1.12 --- syslog 12 Jun 2006 02:59:21 -0000 1.11 +++ syslog 12 Jun 2006 03:05:29 -0000 1.12 @@ -28,6 +28,12 @@ echo -n "Starting system log daemon" case $SYSLOG_DAEMON in syslog-ng ) + if [ "$SYSLOG_USER" = "root" ]; then + syslog-ng + else + syslog-ng -u "$SYSLOG_USER" -g "$SYSLOG_GROUP" + fi + evaluate_retval loadproc syslog-ng ;; syslogd ) |
|
From: Heiko Z. <smi...@us...> - 2006-06-12 03:05:18
|
Update of /cvsroot/devil-linux/build/config/etc/init.d In directory sc8-pr-cvs4.sourceforge.net:/tmp/cvs-serv26085 Modified Files: Tag: rel-1-2-patches syslog Log Message: oops Index: syslog =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/init.d/syslog,v retrieving revision 1.8.2.2 retrieving revision 1.8.2.3 diff -u -d -r1.8.2.2 -r1.8.2.3 --- syslog 12 Jun 2006 02:58:26 -0000 1.8.2.2 +++ syslog 12 Jun 2006 03:05:15 -0000 1.8.2.3 @@ -28,6 +28,12 @@ echo -n "Starting system log daemon" case $SYSLOG_DAEMON in syslog-ng ) + if [ "$SYSLOG_USER" = "root" ]; then + syslog-ng + else + syslog-ng -u "$SYSLOG_USER" -g "$SYSLOG_GROUP" + fi + evaluate_retval loadproc syslog-ng ;; syslogd ) |
|
From: Heiko Z. <smi...@us...> - 2006-06-12 02:59:25
|
Update of /cvsroot/devil-linux/build/config/etc/init.d In directory sc8-pr-cvs4.sourceforge.net:/tmp/cvs-serv23756/config/etc/init.d Modified Files: syslog Log Message: use upgrade-config to convert to the new syslog way Index: syslog =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/init.d/syslog,v retrieving revision 1.10 retrieving revision 1.11 diff -u -d -r1.10 -r1.11 --- syslog 6 Nov 2005 10:47:02 -0000 1.10 +++ syslog 12 Jun 2006 02:59:21 -0000 1.11 @@ -28,19 +28,7 @@ echo -n "Starting system log daemon" case $SYSLOG_DAEMON in syslog-ng ) - # make sure, that all chroot jail entries are removed - for I in $(ls /etc/sysconfig/jail) - do - A=${I##/*/} - sed -e "s| unix-stream(\"$JAIL_DIR/$A/dev/log\" max_connections(1000));||" < /etc/syslog-ng/syslog-ng.conf > /tmp/tmpfile - mv /tmp/tmpfile /etc/syslog-ng/syslog-ng.conf - done - if [ "$SYSLOG_USER" = "root" ]; then - syslog-ng - else - syslog-ng -u "$SYSLOG_USER" -g "$SYSLOG_GROUP" - fi - evaluate_retval + loadproc syslog-ng ;; syslogd ) loadproc syslogd -a /var/run/log ${SYSLOGD_PARAM} |
|
From: Heiko Z. <smi...@us...> - 2006-06-12 02:59:24
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs4.sourceforge.net:/tmp/cvs-serv23756/scripts/scripts Modified Files: upgrade-config Log Message: use upgrade-config to convert to the new syslog way Index: upgrade-config =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/upgrade-config,v retrieving revision 1.26 retrieving revision 1.27 diff -u -d -r1.26 -r1.27 --- upgrade-config 5 Apr 2006 19:52:41 -0000 1.26 +++ upgrade-config 12 Jun 2006 02:59:21 -0000 1.27 @@ -124,7 +124,7 @@ comparesubstr "$f" "etc/init.d/" && onoff="off" comparesubstr "$f" "etc/init.d/firewall.rules" && onoff="on" comparesubstr "$f" "etc/init.d/boot.local" && onoff="on" - finfo=$(ls -la $f) + finfo=$(ls -a $f) cmp -s $f newconfig/$f || echo $f \"\" $onoff \"$finfo\" >> $TMPD done @@ -298,4 +298,18 @@ sed -e s%"si::sysinit:/etc/init.d/boot"%"si::sysinit:/etc/init.d/rc boot"% newconfig/etc/inittab > newconfig/etc/inittab.new mv -f newconfig/etc/inittab.new newconfig/etc/inittab +# syslog-ng +# make sure, that all chroot jail entries are removed +for I in $(ls newconfig/etc/sysconfig/jail) +do + A=${I##/*/} + sed -e "s| unix-stream(\"$JAIL_DIR/$A/dev/log\" max-connections(1000));||" < newconfig/etc/syslog-ng/syslog-ng.conf > $TMPD + mv $TMPD newconfig/etc/syslog-ng/syslog-ng.conf +done + +# syslog-ng +# replace stream with dgram +sed -e "s|unix-stream(\"/dev/log\"|unix-dgram(\"/dev/log\"|" < newconfig/etc/syslog-ng/syslog-ng.conf > $TMPD +mv $TMPD newconfig/etc/syslog-ng/syslog-ng.conf + rm -fr $TMPD $RESULT |
|
From: Heiko Z. <smi...@us...> - 2006-06-12 02:58:30
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs4.sourceforge.net:/tmp/cvs-serv23035/scripts/scripts Modified Files: Tag: rel-1-2-patches upgrade-config Log Message: use upgrade-config to convert to the new syslog way Index: upgrade-config =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/upgrade-config,v retrieving revision 1.22.2.5 retrieving revision 1.22.2.6 diff -u -d -r1.22.2.5 -r1.22.2.6 --- upgrade-config 5 Apr 2006 19:33:55 -0000 1.22.2.5 +++ upgrade-config 12 Jun 2006 02:58:26 -0000 1.22.2.6 @@ -232,8 +232,6 @@ fi done -pause - echo if askyesno "/etc/sysconfig/config migration" "Do you want to migrate old values to your new /etc/sysconfig/config ?" yes then @@ -253,8 +251,6 @@ done fi -pause - if askyesno "User and Group migration" "Do you want to migrate your old users, groups and passwords?" yes ; then migrateid () { @@ -302,4 +298,18 @@ sed -e s%"si::sysinit:/etc/init.d/boot"%"si::sysinit:/etc/init.d/rc boot"% newconfig/etc/inittab > newconfig/etc/inittab.new mv -f newconfig/etc/inittab.new newconfig/etc/inittab +# syslog-ng +# make sure, that all chroot jail entries are removed +for I in $(ls newconfig/etc/sysconfig/jail) +do + A=${I##/*/} + sed -e "s| unix-stream(\"$JAIL_DIR/$A/dev/log\" max-connections(1000));||" < newconfig/etc/syslog-ng/syslog-ng.conf > $TMPD + mv $TMPD newconfig/etc/syslog-ng/syslog-ng.conf +done + +# syslog-ng +# replace stream with dgram +sed -e "s|unix-stream(\"/dev/log\"|unix-dgram(\"/dev/log\"|" < newconfig/etc/syslog-ng/syslog-ng.conf > $TMPD +mv $TMPD newconfig/etc/syslog-ng/syslog-ng.conf + rm -fr $TMPD $RESULT |
|
From: Heiko Z. <smi...@us...> - 2006-06-12 02:58:30
|
Update of /cvsroot/devil-linux/build/config/etc/init.d In directory sc8-pr-cvs4.sourceforge.net:/tmp/cvs-serv23035/config/etc/init.d Modified Files: Tag: rel-1-2-patches syslog Log Message: use upgrade-config to convert to the new syslog way Index: syslog =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/init.d/syslog,v retrieving revision 1.8.2.1 retrieving revision 1.8.2.2 diff -u -d -r1.8.2.1 -r1.8.2.2 --- syslog 6 Nov 2005 10:44:02 -0000 1.8.2.1 +++ syslog 12 Jun 2006 02:58:26 -0000 1.8.2.2 @@ -28,13 +28,6 @@ echo -n "Starting system log daemon" case $SYSLOG_DAEMON in syslog-ng ) - # make sure, that all chroot jail entries are removed - for I in $(ls /etc/sysconfig/jail) - do - A=${I##/*/} - sed -e "s| unix-stream(\"$JAIL_DIR/$A/dev/log\" max-connections(1000));||" < /etc/syslog-ng/syslog-ng.conf > /tmp/tmpfile - mv /tmp/tmpfile /etc/syslog-ng/syslog-ng.conf - done loadproc syslog-ng ;; syslogd ) |
|
From: Heiko Z. <smi...@us...> - 2006-06-11 16:53:30
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs4.sourceforge.net:/tmp/cvs-serv7665 Modified Files: Tag: rel-1-2-patches CHANGES md5sum.lst Log Message: - updated dnsmasq to 2.32 - updated dspam to 3.6.8 - updated postgresql to 8.1.4 Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.807.2.239 retrieving revision 1.807.2.240 diff -u -d -r1.807.2.239 -r1.807.2.240 --- CHANGES 9 Jun 2006 02:23:47 -0000 1.807.2.239 +++ CHANGES 11 Jun 2006 16:53:27 -0000 1.807.2.240 @@ -22,10 +22,12 @@ # 1.2.10 +- updated dnsmasq to 2.32 +- updated dspam to 3.6.8 +- updated postgresql to 8.1.4 - updated Mail-SpamAssassin to 3.1.3 - updated busybox to 1.1.3 - updated cdrtools to 2.01.01a10 -- updated dspam to 3.6.7 - updated mysql to 4.1.20 - updated ntp to 4.2.2 - updated quagga to 0.98.6 Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.102.2.156 retrieving revision 1.102.2.157 diff -u -d -r1.102.2.156 -r1.102.2.157 --- md5sum.lst 9 Jun 2006 02:23:47 -0000 1.102.2.156 +++ md5sum.lst 11 Jun 2006 16:53:27 -0000 1.102.2.157 @@ -163,11 +163,11 @@ 6976c265fe1e28e3648b390d16934e8b src/djbdns-1.05-ignoreip.patch.bz2 cbdb9f51e0df375f3099a022ef880bdd src/djbdns-1.05.errno.patch.bz2 3147c5cd56832aa3b41955c7a51cbeb2 src/djbdns-1.05.tar.gz -26932aec55865b5b4ffe53e7abcf9396 src/dnsmasq-2.31.tar.gz +d1f593a8352db1d6ad3dccc9b775295d src/dnsmasq-2.32.tar.gz af4d03e85985ab222f2811744b9e06bc src/dosfstools-2.10-llseek.patch.bz2 59a02f311a891af8787c4c9e28c6b89b src/dosfstools_2.10.orig.tar.gz 6a87718a86ee1ae2334c75843dd9a7df src/dovecot-1.0.beta8.tar.gz -3d16fcdaa7428aef13e13c37510481e3 src/dspam-3.6.7.tar.gz +c4b1a7079690ee16d8b0f36b2a2a90a4 src/dspam-3.6.8.tar.gz b931c02e2b23342f664276ef26d1502c src/dvd+rw-tools-5.21.4.10.8.tar.gz d192f412995f4361aecfc8a3b47e96b5 src/e100-3.0.27.tar.gz 1bf69d2042b32d7e17158e6bfd188236 src/e1000-5.3.19.tar.gz @@ -384,7 +384,7 @@ 781e16ed4487c4caa082c6fef09ead4f src/portmap_5.orig.tar.gz 4bcce061d059d69f0d77c59dbe4427b4 src/portslave-1.9.11.tar.gz 440a4702182a79ac2f51e8974fb742c9 src/postfix-2.2.10.tar.gz -12d54a11bc3a414477d37ef338bec161 src/postgresql-8.1.2.tar.bz2 +a65bdc5d833169d28bf6fbaaa8d57fcf src/postgresql-8.1.4.tar.bz2 848f6c3cafeb6074ffeb293c3af79b7c src/ppp-2.4.3.tar.gz 162619419f060527d2d94a0e64e21d99 src/ppp-patches.tar.bz2 cd75c737718ac656e336709ccefab883 src/pptp-linux.1.6.0.tar.bz2 |
|
From: Heiko Z. <smi...@us...> - 2006-06-11 16:51:50
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs4.sourceforge.net:/tmp/cvs-serv6666 Modified Files: CHANGES md5sum.lst Log Message: - updated dnsmasq to 2.32 - updated dspam to 3.6.8 - updated postgresql to 8.1.4 Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1043 retrieving revision 1.1044 diff -u -d -r1.1043 -r1.1044 --- CHANGES 9 Jun 2006 02:23:29 -0000 1.1043 +++ CHANGES 11 Jun 2006 16:51:45 -0000 1.1044 @@ -22,6 +22,9 @@ # 1.3.2 +- updated dnsmasq to 2.32 +- updated dspam to 3.6.8 +- updated postgresql to 8.1.4 - updated Mail-SpamAssassin to 3.1.3 - updated busybox to 1.1.3 - updated cdrtools to 2.01.01a10 Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.287 retrieving revision 1.288 diff -u -d -r1.287 -r1.288 --- md5sum.lst 9 Jun 2006 02:23:30 -0000 1.287 +++ md5sum.lst 11 Jun 2006 16:51:45 -0000 1.288 @@ -164,12 +164,12 @@ 6976c265fe1e28e3648b390d16934e8b src/djbdns-1.05-ignoreip.patch.bz2 cbdb9f51e0df375f3099a022ef880bdd src/djbdns-1.05.errno.patch.bz2 3147c5cd56832aa3b41955c7a51cbeb2 src/djbdns-1.05.tar.gz -26932aec55865b5b4ffe53e7abcf9396 src/dnsmasq-2.31.tar.gz +d1f593a8352db1d6ad3dccc9b775295d src/dnsmasq-2.32.tar.gz 3db1f5dc6bb72c2504ae37c37947e03f src/dosfstools-2.10-kernel-2.6-1.patch.bz2 af4d03e85985ab222f2811744b9e06bc src/dosfstools-2.10-llseek.patch.bz2 59a02f311a891af8787c4c9e28c6b89b src/dosfstools_2.10.orig.tar.gz 6a87718a86ee1ae2334c75843dd9a7df src/dovecot-1.0.beta8.tar.gz -3d16fcdaa7428aef13e13c37510481e3 src/dspam-3.6.7.tar.gz +c4b1a7079690ee16d8b0f36b2a2a90a4 src/dspam-3.6.8.tar.gz b931c02e2b23342f664276ef26d1502c src/dvd+rw-tools-5.21.4.10.8.tar.gz d192f412995f4361aecfc8a3b47e96b5 src/e100-3.0.27.tar.gz 1bf69d2042b32d7e17158e6bfd188236 src/e1000-5.3.19.tar.gz @@ -393,7 +393,7 @@ 781e16ed4487c4caa082c6fef09ead4f src/portmap_5.orig.tar.gz 4bcce061d059d69f0d77c59dbe4427b4 src/portslave-1.9.11.tar.gz 440a4702182a79ac2f51e8974fb742c9 src/postfix-2.2.10.tar.gz -12d54a11bc3a414477d37ef338bec161 src/postgresql-8.1.2.tar.bz2 +a65bdc5d833169d28bf6fbaaa8d57fcf src/postgresql-8.1.4.tar.bz2 848f6c3cafeb6074ffeb293c3af79b7c src/ppp-2.4.3.tar.gz 162619419f060527d2d94a0e64e21d99 src/ppp-patches.tar.bz2 cd75c737718ac656e336709ccefab883 src/pptp-linux.1.6.0.tar.bz2 |
|
From: Friedrich L. <fr...@us...> - 2006-06-09 22:30:11
|
Update of /cvsroot/devil-linux/build/config/etc/initrd In directory sc8-pr-cvs4.sourceforge.net:/tmp/cvs-serv4274/config/etc/initrd Modified Files: Tag: rel-1-2-patches mount_cdrom Log Message: use exit instead of return as we are not in a subroutine Index: mount_cdrom =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/initrd/mount_cdrom,v retrieving revision 1.25.2.18 retrieving revision 1.25.2.19 diff -u -d -r1.25.2.18 -r1.25.2.19 --- mount_cdrom 9 Jun 2006 22:21:05 -0000 1.25.2.18 +++ mount_cdrom 9 Jun 2006 22:30:06 -0000 1.25.2.19 @@ -336,7 +336,7 @@ #$GREEN #echo "Mounting old version" #$NORMAL - mount -o loop -t iso9660 /mnt/bootcd.iso.old ${mountpoint} || return 1 + mount -o loop -t iso9660 /mnt/bootcd.iso.old ${mountpoint} || exit 1 cd /cdrom #change to new root pivot_root . initrd @@ -362,7 +362,7 @@ # because bootcd.iso is still mounted inside it. # RO will make it less painfull. mount -o remount,ro,noatime $disk 2> /dev/null - mount -o loop -t iso9660 /mnt/bootcd.iso ${mountpoint} || return 1 + mount -o loop -t iso9660 /mnt/bootcd.iso ${mountpoint} || exit 1 fi exit 0 fi |
|
From: Friedrich L. <fr...@us...> - 2006-06-09 22:27:21
|
Update of /cvsroot/devil-linux/build/config/etc/sysconfig In directory sc8-pr-cvs4.sourceforge.net:/tmp/cvs-serv3132/config/etc/sysconfig Modified Files: Tag: rel-1-2-patches config Log Message: run_from_ram now also supports iso image files Index: config =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/sysconfig/config,v retrieving revision 1.22.2.4 retrieving revision 1.22.2.5 diff -u -d -r1.22.2.4 -r1.22.2.5 --- config 30 May 2006 23:12:37 -0000 1.22.2.4 +++ config 9 Jun 2006 22:27:16 -0000 1.22.2.5 @@ -91,8 +91,5 @@ # NOTES: # - This can add anything from 30 seconds to 2 minutes or more # to your systems boot time depending on your hardware. YMMV -# - Currently only CDROM as mediatype is supported. Pure ISO -# image file support, eg. for USB stick installation and the -# like, will be added later. RUNFROMRAM=no |
|
From: Friedrich L. <fr...@us...> - 2006-06-09 22:21:21
|
Update of /cvsroot/devil-linux/build/config/etc/initrd In directory sc8-pr-cvs4.sourceforge.net:/tmp/cvs-serv336/config/etc/initrd Modified Files: Tag: rel-1-2-patches mount_cdrom Log Message: run_from_ram now also supports iso image files Index: mount_cdrom =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/initrd/mount_cdrom,v retrieving revision 1.25.2.17 retrieving revision 1.25.2.18 diff -u -d -r1.25.2.17 -r1.25.2.18 --- mount_cdrom 30 May 2006 23:12:37 -0000 1.25.2.17 +++ mount_cdrom 9 Jun 2006 22:21:05 -0000 1.25.2.18 @@ -78,10 +78,21 @@ } run_from_ram () { + # + # usage: run_from_ram [--cdrom|--file] + # + # parameters: + # --cdrom try to load a cdrom to ram + # --file try to load an iso image file to ram + # + # returns: + # 0 systems is running from ram + # 1 either not configured to run from ram + # or there was an error, but we can still + # boot the standard way + # - local IS_CDROM="" - local IS_FILE="" - local MEDIATYPE="" + local IS_CDROM=""; local IS_FILE=""; local MEDIATYPE="" while [ $# -gt 0 ]; do case "$1" in --cdrom ) IS_CDROM="yes"; MEDIATYPE="CDROM" @@ -95,69 +106,79 @@ done # we need either --cdrom or --file to be set if ! [ "${IS_CDROM}" -o "${IS_FILE}" ]; then - echo "run_from_ram: neither --cdrom nor --file option were given" - return 0 - fi - - if [ "${IS_FILE}" ]; then - $YELLOW; - echo "NOTE: Currently we only support Run-from-RAM with a CDROM as media" - echo " support is planned for a later release" - $NORMAL; - return 0 + $RED + echo "ERROR: run_from_ram was called with neither the --cdrom nor the --file option" + echo + echo 'Please report to bu...@de...' + echo + $NORMAL + sleep 10 + return 1 fi # check if we already have a config loaded - if [ -e "/etc/Devil-release" ]; then + if [ -e "/etc/Devil-release" -a "/etc/sysconfig/config" ]; then # load main config file . /etc/sysconfig/config else - # nothing I can do about it, no config no variable RUNFROMRAM - return 0 + # nothing I can do about it, no config, no variable RUNFROMRAM + return 1 fi # check if we should run from ram or not - if [ -z "${RUNFROMRAM}" -o "${RUNFROMRAM}" != "yes" ]; then - # user does not want to - return 0 - fi + [ -z "${RUNFROMRAM}" -o "${RUNFROMRAM}" != "yes" ] && return 1 - local RAMDISK=/shm/sys + ## FIXME + # we should probably define these somewhere more central + local RAMDISK=/shm/sys # this has to be under /shm as this one is mount moved in linuxrc + local FILEMOUNT=/mnt local ISOFILE=bootcd.iso - # load system into ram - $YELLOW - echo 'System is configured to run from ram' - $NORMAL + # show that we are configured to run from ram + $YELLOW; echo 'System is configured to run from ram'; $NORMAL - local IMAGE_SIZE=$(df ${mountpoint} | grep "${mountpoint}" | awk '{print $(NF-4)}') + local IMAGE_SIZE; local IMAGE_SIZE_MB; local RAMDISK_SIZE + # get size of image so we can estimate the needed ramdisk space + case ${MEDIATYPE} in + CDROM ) IMAGE_SIZE=$(df ${mountpoint} | grep "${mountpoint}" | awk '{print $(NF-4)}');; + FILE ) IMAGE_SIZE=$(du -k ${FILEMOUNT}/${ISOFILE} | awk '{print $1}');; + esac let IMAGE_SIZE_MB=IMAGE_SIZE*10/1024+5 # do correct rounding let IMAGE_SIZE_MB=IMAGE_SIZE_MB/10 - let RAMDISK_SIZE=IMAGE_SIZE_MB+5 # add some megs as a safety margin - + # add some megs as a safety margin (also needed for safety check below) + let RAMDISK_SIZE=IMAGE_SIZE_MB+5 + # create a ramdisk for the system ISO image mkdir -p ${RAMDISK} mount -n -t shm -o size=${RAMDISK_SIZE}m shmfs ${RAMDISK} - # don't keep it mounted while copying - umount ${mountpoint} - echo -n "Copying system image (${IMAGE_SIZE_MB} MB) to ramdisk..." busy_start - # it's a CDROM drive therefore we use a blocksize of 2k - dd if=$disk of=${RAMDISK}/${ISOFILE} bs=2048 >/dev/null 2>&1 + case ${MEDIATYPE} in + CDROM ) # don't keep it mounted while copying + umount ${mountpoint} + # it's a CDROM drive therefore we use a blocksize of 2k + dd if=$disk of=${RAMDISK}/${ISOFILE} bs=2048 >/dev/null 2>&1 + ;; + FILE ) # it's a file so copy will do + cp ${FILEMOUNT}/${ISOFILE} ${RAMDISK}/${ISOFILE} >/dev/null 2>&1 + ;; + esac busy_stop echo done. - # revert back to standard mount + # in case of an error we need to clean up run_from_ram_cleanup () { $YELLOW; echo "Falling back to standard mount..."; $NORMAL sleep 10 umount ${mountpoint} > /dev/null 2>&1 umount ${RAMDISK} > /dev/null 2>&1 - mount -n -t iso9660 -o ro $disk ${mountpoint} + # revert back to standard mount if needed + [ ${IS_CDROM} ] && mount -n -t iso9660 -o ro $disk ${mountpoint} } - + + # check if ramdisk is full, then this is an indication that the image was to big during + # copying - this should never happen, but better save than sorry if [ "$(df ${RAMDISK} | grep "${RAMDISK}" | awk '{print $(NF-2)}')" -eq 0 ]; then $RED; echo "ERROR: ramdisk size calculation error" @@ -170,13 +191,15 @@ return 1 fi - local REAL_SIZE=$(du ${RAMDISK}/${ISOFILE} | awk '{print $1}') + # get size of the copied image + local REAL_SIZE=$(du -k ${RAMDISK}/${ISOFILE} | awk '{print $1}') let REAL_SIZE=REAL_SIZE*10/1024+5 # do correct rounding let REAL_SIZE=REAL_SIZE/10 - if [ "${REAL_SIZE}" -lt "${IMAGE_SIZE_MB}" ]; then + # check if we at least match the image size estimated before + if [ ${REAL_SIZE} -lt ${IMAGE_SIZE_MB} ]; then $RED; - echo "FATAL-ERROR: copying failed - ${REAL_SIZE} MB out of ${IMAGE_SIZE_MB} MB copied" + echo "FATAL-ERROR: copying failed - only ${REAL_SIZE} MB out of ${IMAGE_SIZE_MB} MB copied" echo ' a possible source of this problem could be:' echo ' * read errors - media defective?' echo ' * out of RAM - need to install more RAM?' @@ -186,8 +209,12 @@ return 1 fi - # mount read-only again - mount -n -o remount,ro ${RAMDISK} + # recalculate the needed ramdisk size + RAMDISK_SIZE=$(df -k ${RAMDISK} | grep "${RAMDISK}" | awk '{print $(NF-3)}') + + # mount ramdisk read-only and reduce to minimal size + mount -n -o remount,ro,size=${RAMDISK_SIZE}k ${RAMDISK} + # loop mount final ISO image from ramdisk mount -n -t iso9660 -o loop,ro ${RAMDISK}/${ISOFILE} ${mountpoint} if [ $? -ne 0 ]; then @@ -201,8 +228,12 @@ return 1 fi + # no need to keep the original location mounted + [ ${IS_FILE} ] && umount ${FILEMOUNT} + # finally done $GREEN; echo 'System is now fully running from RAM'; $NORMAL + return 0 } if [ ! $silent ]; then @@ -321,23 +352,17 @@ $NORMAL fi if [ -e /mnt/bootcd.iso ] ; then + echo $disk > /shm/DL_DEVICE # run from ram if correct variable is set - run_from_ram --file - - # since this could be flash disk, lets make read-only. - # Should not write to this mount anymore anyway. It - # is attempted to umount it in pre_init but will fail - # because bootcd.iso is still mounted inside it. - # RO will make it less painfull. - mount -o remount,ro,noatime $disk 2> /dev/null - mount -o loop -t iso9660 /mnt/bootcd.iso ${mountpoint} || return 1 - echo $disk > /shm/DL_DEVICE - dl_version=`cat /mnt/DEVIL-LINUX 2> /dev/null` - if [ ! $silent ]; then - $YELLOW - echo -e "\nFound ISO ($dl_version) on $disk" - $NORMAL + if ! run_from_ram --file; then + # since this could be a flash disk, lets remount read-only. + # Should not write to this mount anymore anyway. It + # is attempted to umount it in pre_init but will fail + # because bootcd.iso is still mounted inside it. + # RO will make it less painfull. + mount -o remount,ro,noatime $disk 2> /dev/null + mount -o loop -t iso9660 /mnt/bootcd.iso ${mountpoint} || return 1 fi exit 0 fi |
|
From: Heiko Z. <smi...@us...> - 2006-06-09 02:23:51
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs4.sourceforge.net:/tmp/cvs-serv12285 Modified Files: Tag: rel-1-2-patches CHANGES md5sum.lst Log Message: - updated Mail-SpamAssassin to 3.1.3 - updated busybox to 1.1.3 - updated cdrtools to 2.01.01a10 - updated dspam to 3.6.7 - updated mysql to 4.1.20 - updated ntp to 4.2.2 - updated quagga to 0.98.6 - updated razor-agents to 2.82 - updated shadow to 4.0.16 Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.807.2.238 retrieving revision 1.807.2.239 diff -u -d -r1.807.2.238 -r1.807.2.239 --- CHANGES 8 Jun 2006 13:32:22 -0000 1.807.2.238 +++ CHANGES 9 Jun 2006 02:23:47 -0000 1.807.2.239 @@ -22,6 +22,15 @@ # 1.2.10 +- updated Mail-SpamAssassin to 3.1.3 +- updated busybox to 1.1.3 +- updated cdrtools to 2.01.01a10 +- updated dspam to 3.6.7 +- updated mysql to 4.1.20 +- updated ntp to 4.2.2 +- updated quagga to 0.98.6 +- updated razor-agents to 2.82 +- updated shadow to 4.0.16 - discontinued use of "bzip -s" in save-config, since busybox tar doesn't like these archives anymore - added support to act as VMWare Guest OS (vmware daemon, vmmemctl & vmxnet) - added initial support for RUNFROMRAM - see sysconfig/config (fl) Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.102.2.155 retrieving revision 1.102.2.156 diff -u -d -r1.102.2.155 -r1.102.2.156 --- md5sum.lst 8 Jun 2006 15:38:39 -0000 1.102.2.155 +++ md5sum.lst 9 Jun 2006 02:23:47 -0000 1.102.2.156 @@ -90,7 +90,7 @@ aabed0543f57dc3e4eebbb0779daf898 src/Linux-PAM-0.99.3.0.tar.bz2 90901044f52f5213a2abc612b9745c1b src/MOSIX-1.9.0.tgz 6b154c442a335c2a281defe17c8008e8 src/MOSKRN-1.9.0.tgz -e1fb14def1265d6d7351ba27b5940da2 src/Mail-SpamAssassin-3.1.2.tar.bz2 +5f049f0b9fc63585a85593a3c68409bb src/Mail-SpamAssassin-3.1.3.tar.bz2 a2c089faa2726c142419c03472fc4063 src/Python-2.3.4.tar.bz2 85d2e73c5a3175b96d1d956c52835fe4 src/acl-2.2.32.src.tar.gz de2f1f1ec8f50add1f286fd4372ae0bf src/aide_0.11a-2.diff.gz @@ -116,10 +116,10 @@ 6a9d529efb285071dad10e1f3d2b2967 src/binutils-2.16.1.tar.bz2 ef3110077462b1140b2ae612626e8486 src/bison-2.1.tar.bz2 43bbd2a67b59cac3e15d545f8b51df68 src/bridge-utils-1.1.tar.gz -0b5d78072302fe687407956537bdb9e3 src/busybox-1.1.2.tar.bz2 +f01b81fd2b34b30220b482d442614a05 src/busybox-1.1.3.tar.gz 5b8773b4965618279277b05cd811e7b3 src/bzip2-1.0.2.tar.bz2 ffd824f13f99011984399fc3b7526c71 src/camsource-0.7.0.tar.bz2 -4527e83c3f805dab5e9e34e75489ac13 src/cdrtools-2.01.01a09.tar.bz2 +dc189f1e34d484cb73639fe3b1067845 src/cdrtools-2.01.01a10.tar.bz2 540cf3a7839a5769666e804c543756c2 src/cgilib_0.5-4.1.diff.gz 5187ba11b2ec165b6c5b6629087733b0 src/cgilib_0.5.orig.tar.gz 376ee0327bb6060a03052cdc71bb371f src/chpax-0.6.tar.gz @@ -167,7 +167,7 @@ af4d03e85985ab222f2811744b9e06bc src/dosfstools-2.10-llseek.patch.bz2 59a02f311a891af8787c4c9e28c6b89b src/dosfstools_2.10.orig.tar.gz 6a87718a86ee1ae2334c75843dd9a7df src/dovecot-1.0.beta8.tar.gz -72dbf9d802ac3645c93b715c81cc9f50 src/dspam-3.6.6.tar.gz +3d16fcdaa7428aef13e13c37510481e3 src/dspam-3.6.7.tar.gz b931c02e2b23342f664276ef26d1502c src/dvd+rw-tools-5.21.4.10.8.tar.gz d192f412995f4361aecfc8a3b47e96b5 src/e100-3.0.27.tar.gz 1bf69d2042b32d7e17158e6bfd188236 src/e1000-5.3.19.tar.gz @@ -331,7 +331,7 @@ 0d0eb50a52eaf2e1921e1a61bab09be7 src/mtools-3.9.10.tar.bz2 8c1c9f5db2c599eea3b12bfed8b80618 src/mtr-0.71.tar.gz 6f8c59cc214dbffd555085b1db7272c1 src/mxser.tgz -a2db4edb3e1e3b8e0f8c2242225ea513 src/mysql-4.1.18.tar.gz +a1dc5375f6580db5073d542200a9ad5b src/mysql-4.1.20.tar.gz a361b4ab34ce04e0a15ea4fbc8e4a414 src/nail-10.7.tar.bz2 f2b3efbf1cf356d736740d531b6b22c4 src/nano-1.2.5.tar.gz 2032ad44c7359f7a9a166a40a633e772 src/nasm-0.98.39.tar.bz2 @@ -350,7 +350,7 @@ 00fcdcc3fa532de1631ce0e78d755c5e src/nptl-0.60.tar.bz2 b5449be8d673eacac882ee035ea9a824 src/nss_ldap-227.tar.gz cd29a876b34a7dd76555e9acd8f160bb src/ntop-3.2.tgz -3aab99ea016e936323b34d2af1380fd5 src/ntp-stable-4.2.0a-20050816.tar.gz +111d879acdcc955e60f527575ab0a71a src/ntp-4.2.2.tar.gz ed2d3104d021a6ddb864f23d8cbd1cf6 src/nut-2.0.3.tar.gz cf1c017496b066b45ffe3d7a303fd6ad src/oidentd-2.0.7.tar.gz d7043ba34b5038f0113b099ede0884fb src/openh323-v1_18_0-src.tar.gz @@ -400,11 +400,11 @@ 90d10de70e79fe304462716e741a464e src/pwlib-v1_10_0-src.tar.gz f17b02ef1dc6ab12d819bfef9c036627 src/python-ldap-2.2.0.tar.gz 42e25b2a6016ff6d5ffa4f9707ac4614 src/qadsl-final-1.2.tar.gz -ec09c1ec624aea98e18aa19282666784 src/quagga-0.98.5.tar.gz +b0d4132039953a0214256873b7d23d68 src/quagga-0.98.6.tar.gz 8a91c4bc342dca2ddf9f620af24fc5e7 src/quota-3.13.tar.gz 26ea468b2323e44cf827ae5f84d18dc8 src/radvd-0.7.2.tar.gz c0d208ebd4c311ceabe465b7adfef792 src/raidtools-20010914.tar.gz -1a21d84f3a8291f73e7f1d3dd36d9d7f src/razor-agents-2.81.tar.bz2 +a79a798e52426261c6a2c4089b33872f src/razor-agents-2.82.tar.bz2 9b3bc8f10e522456a90f98c87afa45e3 src/rcs-5.7-no_root_check.diff.bz2 cd709ab8a284c87048f95f76f5f69374 src/rcs-5.7.tar.bz2 7ee5a692db88b30ca48927a13fd60e46 src/readline-5.1.tar.gz @@ -424,7 +424,7 @@ 31031225d483c0d5ac43e8eb5d0428e0 src/ser-0.9.6_src.tar.gz c4867d72c41564318e0107745eb7a0f2 src/setserial-2.17.tar.gz c32d686f6725df2cac4a604909ac23ab src/sg3_utils-1.19.tar.bz2 -a0452fa989f8ba45023cc5a08136568e src/shadow-4.0.15.tar.bz2 +1d91f7479143d1d705b94180c0d4874b src/shadow-4.0.16.tar.bz2 016f49d71bc32eee2b5d11fc1600cfbe src/shfs-0.35.tar.gz 2f1ef054cf1c6dbfe0e15d982f90fe11 src/shorewall-3.0.3.tar.bz2 fc2cb32e926b25afa24f450f9a48fbb1 src/smartmontools-5.26.tar.gz |
|
From: Heiko Z. <smi...@us...> - 2006-06-09 02:23:33
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs4.sourceforge.net:/tmp/cvs-serv12259 Modified Files: CHANGES md5sum.lst Log Message: - updated Mail-SpamAssassin to 3.1.3 - updated busybox to 1.1.3 - updated cdrtools to 2.01.01a10 - updated dspam to 3.6.7 - updated mysql to 4.1.20 - updated ntp to 4.2.2 - updated quagga to 0.98.6 - updated razor-agents to 2.82 - updated shadow to 4.0.16 Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1042 retrieving revision 1.1043 diff -u -d -r1.1042 -r1.1043 --- CHANGES 8 Jun 2006 15:37:36 -0000 1.1042 +++ CHANGES 9 Jun 2006 02:23:29 -0000 1.1043 @@ -22,6 +22,15 @@ # 1.3.2 +- updated Mail-SpamAssassin to 3.1.3 +- updated busybox to 1.1.3 +- updated cdrtools to 2.01.01a10 +- updated dspam to 3.6.7 +- updated mysql to 4.1.20 +- updated ntp to 4.2.2 +- updated quagga to 0.98.6 +- updated razor-agents to 2.82 +- updated shadow to 4.0.16 - added support to act as VMWare Guest OS (vmware daemon, vmmemctl & vmxnet) - discontinued use of "bzip -s" in save-config, since busybox tar doesn't like these archives anymore - updated php to 5.1.4 Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.286 retrieving revision 1.287 diff -u -d -r1.286 -r1.287 --- md5sum.lst 8 Jun 2006 15:37:36 -0000 1.286 +++ md5sum.lst 9 Jun 2006 02:23:30 -0000 1.287 @@ -88,7 +88,7 @@ aabed0543f57dc3e4eebbb0779daf898 src/Linux-PAM-0.99.3.0.tar.bz2 90901044f52f5213a2abc612b9745c1b src/MOSIX-1.9.0.tgz 6b154c442a335c2a281defe17c8008e8 src/MOSKRN-1.9.0.tgz -e1fb14def1265d6d7351ba27b5940da2 src/Mail-SpamAssassin-3.1.2.tar.bz2 +5f049f0b9fc63585a85593a3c68409bb src/Mail-SpamAssassin-3.1.3.tar.bz2 a2c089faa2726c142419c03472fc4063 src/Python-2.3.4.tar.bz2 85d2e73c5a3175b96d1d956c52835fe4 src/acl-2.2.32.src.tar.gz de2f1f1ec8f50add1f286fd4372ae0bf src/aide_0.11a-2.diff.gz @@ -118,10 +118,10 @@ 01dbd025eb1f3ebc8dbfee56255cf048 src/bluez-libs-2.13.tar.gz ffea3b814f1d7223d6ac8692172eb275 src/bluez-utils-2.13.tar.gz 43bbd2a67b59cac3e15d545f8b51df68 src/bridge-utils-1.1.tar.gz -0b5d78072302fe687407956537bdb9e3 src/busybox-1.1.2.tar.bz2 +f01b81fd2b34b30220b482d442614a05 src/busybox-1.1.3.tar.gz 5b8773b4965618279277b05cd811e7b3 src/bzip2-1.0.2.tar.bz2 ffd824f13f99011984399fc3b7526c71 src/camsource-0.7.0.tar.bz2 -4527e83c3f805dab5e9e34e75489ac13 src/cdrtools-2.01.01a09.tar.bz2 +dc189f1e34d484cb73639fe3b1067845 src/cdrtools-2.01.01a10.tar.bz2 540cf3a7839a5769666e804c543756c2 src/cgilib_0.5-4.1.diff.gz 5187ba11b2ec165b6c5b6629087733b0 src/cgilib_0.5.orig.tar.gz 376ee0327bb6060a03052cdc71bb371f src/chpax-0.6.tar.gz @@ -169,7 +169,7 @@ af4d03e85985ab222f2811744b9e06bc src/dosfstools-2.10-llseek.patch.bz2 59a02f311a891af8787c4c9e28c6b89b src/dosfstools_2.10.orig.tar.gz 6a87718a86ee1ae2334c75843dd9a7df src/dovecot-1.0.beta8.tar.gz -72dbf9d802ac3645c93b715c81cc9f50 src/dspam-3.6.6.tar.gz +3d16fcdaa7428aef13e13c37510481e3 src/dspam-3.6.7.tar.gz b931c02e2b23342f664276ef26d1502c src/dvd+rw-tools-5.21.4.10.8.tar.gz d192f412995f4361aecfc8a3b47e96b5 src/e100-3.0.27.tar.gz 1bf69d2042b32d7e17158e6bfd188236 src/e1000-5.3.19.tar.gz @@ -341,7 +341,7 @@ 8c1c9f5db2c599eea3b12bfed8b80618 src/mtr-0.71.tar.gz 6f8c59cc214dbffd555085b1db7272c1 src/mxser.tgz 4a0da771fad034a6d6feb7811ec39ffb src/mysql-4.0.20-nptl-1.patch.bz2 -98ba9caea24b0a48ee06bb242ff2e37f src/mysql-4.1.14.tar.gz +a1dc5375f6580db5073d542200a9ad5b src/mysql-4.1.20.tar.gz e9a43273c3592724081a2b9194a5ab56 src/nail-11.10.tar.bz2 f2b3efbf1cf356d736740d531b6b22c4 src/nano-1.2.5.tar.gz 2032ad44c7359f7a9a166a40a633e772 src/nasm-0.98.39.tar.bz2 @@ -358,7 +358,7 @@ c011fc1595dd125443df2d357958c85f src/noip_updater_linux_v1.4.tar.gz b5449be8d673eacac882ee035ea9a824 src/nss_ldap-227.tar.gz cd29a876b34a7dd76555e9acd8f160bb src/ntop-3.2.tgz -3aab99ea016e936323b34d2af1380fd5 src/ntp-stable-4.2.0a-20050816.tar.gz +111d879acdcc955e60f527575ab0a71a src/ntp-4.2.2.tar.gz 5cc5a621832a70e012462d2069149583 src/ntpconfig-phone.patch.bz2 ed2d3104d021a6ddb864f23d8cbd1cf6 src/nut-2.0.3.tar.gz cf1c017496b066b45ffe3d7a303fd6ad src/oidentd-2.0.7.tar.gz @@ -409,11 +409,11 @@ 90d10de70e79fe304462716e741a464e src/pwlib-v1_10_0-src.tar.gz f17b02ef1dc6ab12d819bfef9c036627 src/python-ldap-2.2.0.tar.gz 42e25b2a6016ff6d5ffa4f9707ac4614 src/qadsl-final-1.2.tar.gz -ec09c1ec624aea98e18aa19282666784 src/quagga-0.98.5.tar.gz +b0d4132039953a0214256873b7d23d68 src/quagga-0.98.6.tar.gz 8a91c4bc342dca2ddf9f620af24fc5e7 src/quota-3.13.tar.gz 26ea468b2323e44cf827ae5f84d18dc8 src/radvd-0.7.2.tar.gz c0d208ebd4c311ceabe465b7adfef792 src/raidtools-20010914.tar.gz -1a21d84f3a8291f73e7f1d3dd36d9d7f src/razor-agents-2.81.tar.bz2 +a79a798e52426261c6a2c4089b33872f src/razor-agents-2.82.tar.bz2 9b3bc8f10e522456a90f98c87afa45e3 src/rcs-5.7-no_root_check.diff.bz2 cd709ab8a284c87048f95f76f5f69374 src/rcs-5.7.tar.bz2 7ee5a692db88b30ca48927a13fd60e46 src/readline-5.1.tar.gz @@ -432,7 +432,7 @@ 952fadd9f76e128ee9a4be350a647713 src/ser-0.8.12_src.tar.gz c4867d72c41564318e0107745eb7a0f2 src/setserial-2.17.tar.gz c32d686f6725df2cac4a604909ac23ab src/sg3_utils-1.19.tar.bz2 -a0452fa989f8ba45023cc5a08136568e src/shadow-4.0.15.tar.bz2 +1d91f7479143d1d705b94180c0d4874b src/shadow-4.0.16.tar.bz2 016f49d71bc32eee2b5d11fc1600cfbe src/shfs-0.35.tar.gz 2f1ef054cf1c6dbfe0e15d982f90fe11 src/shorewall-3.0.3.tar.bz2 fc2cb32e926b25afa24f450f9a48fbb1 src/smartmontools-5.26.tar.gz |
|
From: Heiko Z. <smi...@us...> - 2006-06-08 20:15:11
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs4.sourceforge.net:/tmp/cvs-serv7058/scripts/scripts Modified Files: vmware Log Message: oops Index: vmware =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/vmware,v retrieving revision 1.1 retrieving revision 1.2 diff -u -d -r1.1 -r1.2 --- vmware 8 Jun 2006 15:38:14 -0000 1.1 +++ vmware 8 Jun 2006 20:15:06 -0000 1.2 @@ -1,5 +1,4 @@ #!/bin/bash -# VTUN added by Diego Torres <dt...@co...> ### BEGIN INIT INFO # Provides: vmware |
|
From: Heiko Z. <smi...@us...> - 2006-06-08 20:14:47
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs4.sourceforge.net:/tmp/cvs-serv6770 Modified Files: Tag: rel-1-2-patches vmware Log Message: oops Index: vmware =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/vmware,v retrieving revision 1.1.2.2 retrieving revision 1.1.2.3 diff -u -d -r1.1.2.2 -r1.1.2.3 --- vmware 8 Jun 2006 15:38:39 -0000 1.1.2.2 +++ vmware 8 Jun 2006 20:14:43 -0000 1.1.2.3 @@ -1,5 +1,4 @@ #!/bin/bash -# VTUN added by Diego Torres <dt...@co...> ### BEGIN INIT INFO # Provides: vmware |
|
From: Heiko Z. <smi...@us...> - 2006-06-08 15:38:45
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs4.sourceforge.net:/tmp/cvs-serv8889/scripts/scripts Added Files: Tag: rel-1-2-patches vmware Log Message: added support to act as VMWare Guest OS (vmware daemon, vmmemctl & vmxnet) --- NEW FILE: vmware --- #!/bin/bash # VTUN added by Diego Torres <dt...@co...> ### BEGIN INIT INFO # Provides: vmware # Required-Start: $syslog # Required-Stop: $syslog # Default-Start: 3 5 # Default-Stop: 0 1 6 # Description: starts the vmware support ### END INIT INFO # settings source /etc/sysconfig/config GUESTD_PID_FILE='/var/run/vmware-guestd.pid' # parameters NAME="VMWare Guest OS daemon" CONFIGNAME=VMWARE DAEMON=/usr/sbin/vmware-guestd PARAMETER="--background $GUESTD_PID_FILE" # source function library source /etc/init.d/functions eval START=\$START_$CONFIGNAME # Determine the base and follow a runlevel link name. base=${0##*/} link=${base#*[SK][0-9][0-9]} # Force execution if not called by a runlevel directory. test $link = $base && START=yes test "$START" = "yes" || exit 0 if [ ! /usr/sbin/vmware-checkvm &> /dev/null ]; then # Not running inside a Virtual Machine or vmware tools not found exit 0 fi case "$1" in start) echo "VMWare Virtual Machine detected" echo "Loading VMWare modules" modprobe vmmemctl modprobe vmxnet echo -n "Starting $NAME: " loadproc $DAEMON $PARAMETER ;; stop) echo -n "Shutting down $NAME: " killproc $DAEMON echo "Loading VMWare modules" rmmod vmmemctl rmmod vmxnet ;; restart) $0 stop sleep 1 $0 start ;; *) echo "Usage: $0 {start|stop|restart}" exit 1 esac |
|
From: Heiko Z. <smi...@us...> - 2006-06-08 15:38:43
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs4.sourceforge.net:/tmp/cvs-serv8889 Modified Files: Tag: rel-1-2-patches md5sum.lst Log Message: added support to act as VMWare Guest OS (vmware daemon, vmmemctl & vmxnet) Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.102.2.154 retrieving revision 1.102.2.155 diff -u -d -r1.102.2.154 -r1.102.2.155 --- md5sum.lst 5 Jun 2006 21:12:26 -0000 1.102.2.154 +++ md5sum.lst 8 Jun 2006 15:38:39 -0000 1.102.2.155 @@ -474,6 +474,9 @@ b4ca2f8b2f3bc1f0edfe7499ef4cd042 src/vhz-param.patch.bz2 774c14d93ce58674b3b2c880edd12d77 src/vim-6.4.tar.bz2 5f0c6060b33956fb16e11a15467dd394 src/vlan.1.9.tar.gz +ddce182df84fe883ff040376625ff66e src/vmbin.tar.bz2 +2cc444ffc9f7016a741ec2f0910fefbc src/vmmemctl.tar.bz2 +29171ac7bc927d9250d430291ff82734 src/vmxnet.tar.bz2 dec2837d33fbc1f96f77014d01739126 src/vobcopy-0.5.13.tar.bz2 c0bf8c7b8e15ab15827172786fc56115 src/vsftpd-2.0.4.tar.gz 6e676438028e80cd435ba581a7d41a17 src/vtun-2.5.tar.gz |
|
From: Heiko Z. <smi...@us...> - 2006-06-08 15:38:43
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs4.sourceforge.net:/tmp/cvs-serv8889/scripts Modified Files: Tag: rel-1-2-patches vmxnet Added Files: Tag: rel-1-2-patches vmware Log Message: added support to act as VMWare Guest OS (vmware daemon, vmmemctl & vmxnet) Index: vmxnet =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/vmxnet,v retrieving revision 1.1.2.1 retrieving revision 1.1.2.2 diff -u -d -r1.1.2.1 -r1.1.2.2 --- vmxnet 5 Apr 2006 19:19:00 -0000 1.1.2.1 +++ vmxnet 8 Jun 2006 15:38:39 -0000 1.1.2.2 @@ -37,10 +37,6 @@ if [ "$CONFIG_VMWARE" = "y" ]; then mkdir -p $CDDIR/lib/modules/$KERNELVERSION/kernel/drivers/net/ || exit 1 cp -v vmxnet-$KERNELVERSION $CDDIR/lib/modules/$KERNELVERSION/kernel/drivers/net/vmxnet.o || exit 1 - echo "# Load VMWare drivers?" >> $CONFIGFILE - echo "START_VMWARE=no" >> $CONFIGFILE - echo >> $CONFIGFILE - echo "HELP_VMWARE=\"Load the vmware modules for better performance\"" >> $SOFTWAREHELP fi ;; --- NEW FILE: vmware --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/vmware,v $ # $Revision: 1.1.2.2 $ # $Date: 2006/06/08 15:38:39 $ # # http://www.devil-linux.org # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 ### BEGIN INIT INFO # Provides: vmware # Required-Start: $basebuildtools $libs linux # Required-Stop: # Default-Start: 1 2 # Default-Stop: # Description: description ### END INIT INFO # get the directoryname of the script MYDIR=${0%/*} # source functions and config source $MYDIR/settings case $1 in build ) if [ "$CONFIG_VMWARE" = "y" ]; then # nothing to be done here for now exit 0 fi ;; install ) if [ "$CONFIG_VMWARE" = "y" ]; then VMBINDIR=$(find_src_dir vmbin) cp -dpvR $VMBINDIR/{lib,sbin} $CDDIR/usr/ || exit 1 mkdir -p $ETCDIR/etc/vmware-tools || exit 1 cp -dpvR $VMBINDIR/etc/* $ETCDIR/etc/vmware-tools/ || exit 1 cp $MYDIR/scripts/vmware $ETCDIR/etc/init.d || exit 1 echo "# Load VMWare drivers?" >> $CONFIGFILE echo "# the driver will autodetect if we're running within a VM" >> $CONFIGFILE echo "# so you can safely leave this on" >> $CONFIGFILE echo "START_VMWARE=yes" >> $CONFIGFILE echo >> $CONFIGFILE echo "HELP_VMWARE=\"Load the vmware modules for better performance\"" >> $SOFTWAREHELP fi ;; * ) echo "ERROR ($0)" echo "please add parameter so I know what to do" exit 1 ;; esac |
|
From: Heiko Z. <smi...@us...> - 2006-06-08 15:38:42
|
Update of /cvsroot/devil-linux/build/scripts/configuration/profiles In directory sc8-pr-cvs4.sourceforge.net:/tmp/cvs-serv8889/scripts/configuration/profiles Modified Files: Tag: rel-1-2-patches default Log Message: added support to act as VMWare Guest OS (vmware daemon, vmmemctl & vmxnet) Index: default =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/configuration/profiles/default,v retrieving revision 1.29.2.34 retrieving revision 1.29.2.35 diff -u -d -r1.29.2.34 -r1.29.2.35 --- default 19 May 2006 17:16:27 -0000 1.29.2.34 +++ default 8 Jun 2006 15:38:39 -0000 1.29.2.35 @@ -207,7 +207,7 @@ CONFIG_PROCMAIL=y CONFIG_FREETYPE=y CONFIG_XMBMON=y -CONFIG_VMWARE=n +CONFIG_VMWARE=y CONFIG_AIDE=y CONFIG_LOGWATCH=y CONFIG_CURL=y |
|
From: Heiko Z. <smi...@us...> - 2006-06-08 15:38:42
|
Update of /cvsroot/devil-linux/build/config/etc/init.d In directory sc8-pr-cvs4.sourceforge.net:/tmp/cvs-serv8889/config/etc/init.d Modified Files: Tag: rel-1-2-patches boot Log Message: added support to act as VMWare Guest OS (vmware daemon, vmmemctl & vmxnet) Index: boot =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/init.d/boot,v retrieving revision 1.22.2.3 retrieving revision 1.22.2.4 diff -u -d -r1.22.2.3 -r1.22.2.4 --- boot 5 Apr 2006 19:19:00 -0000 1.22.2.3 +++ boot 8 Jun 2006 15:38:39 -0000 1.22.2.4 @@ -70,11 +70,6 @@ modprobe apm power_off=1 fi -if [ "$START_VMWARE" = "yes" ]; then - echo "Loading VMWare modules" - modprobe vmmemctl -fi - echo -n "Setting Kernel log levels" echo "1 4 1 7" > /proc/sys/kernel/printk evaluate_retval |
|
From: Heiko Z. <smi...@us...> - 2006-06-08 15:38:21
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs4.sourceforge.net:/tmp/cvs-serv8839/scripts/scripts Added Files: vmware Log Message: added support to act as VMWare Guest OS (vmware daemon, vmmemctl & vmxnet) --- NEW FILE: vmware --- #!/bin/bash # VTUN added by Diego Torres <dt...@co...> ### BEGIN INIT INFO # Provides: vmware # Required-Start: $syslog # Required-Stop: $syslog # Default-Start: 3 5 # Default-Stop: 0 1 6 # Description: starts the vmware support ### END INIT INFO # settings source /etc/sysconfig/config GUESTD_PID_FILE='/var/run/vmware-guestd.pid' # parameters NAME="VMWare Guest OS daemon" CONFIGNAME=VMWARE DAEMON=/usr/sbin/vmware-guestd PARAMETER="--background $GUESTD_PID_FILE" # source function library source /etc/init.d/functions eval START=\$START_$CONFIGNAME # Determine the base and follow a runlevel link name. base=${0##*/} link=${base#*[SK][0-9][0-9]} # Force execution if not called by a runlevel directory. test $link = $base && START=yes test "$START" = "yes" || exit 0 if [ ! /usr/sbin/vmware-checkvm &> /dev/null ]; then # Not running inside a Virtual Machine or vmware tools not found exit 0 fi case "$1" in start) echo "VMWare Virtual Machine detected" echo "Loading VMWare modules" modprobe vmmemctl modprobe vmxnet echo -n "Starting $NAME: " loadproc $DAEMON $PARAMETER ;; stop) echo -n "Shutting down $NAME: " killproc $DAEMON echo "Loading VMWare modules" rmmod vmmemctl rmmod vmxnet ;; restart) $0 stop sleep 1 $0 start ;; *) echo "Usage: $0 {start|stop|restart}" exit 1 esac |
|
From: Heiko Z. <smi...@us...> - 2006-06-08 15:37:52
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs4.sourceforge.net:/tmp/cvs-serv8422/scripts Modified Files: vmmemctl vmxnet Added Files: vmware Log Message: added support to act as VMWare Guest OS (vmware daemon, vmmemctl & vmxnet) Index: vmxnet =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/vmxnet,v retrieving revision 1.2 retrieving revision 1.3 diff -u -d -r1.2 -r1.3 --- vmxnet 5 Apr 2006 19:19:23 -0000 1.2 +++ vmxnet 8 Jun 2006 15:37:37 -0000 1.3 @@ -37,10 +37,6 @@ if [ "$CONFIG_VMWARE" = "y" ]; then mkdir -p $CDDIR/lib/modules/$KERNELVERSION/kernel/drivers/net/ || exit 1 cp -v vmxnet-$KERNELVERSION $CDDIR/lib/modules/$KERNELVERSION/kernel/drivers/net/vmxnet.o || exit 1 - echo "# Load VMWare drivers?" >> $CONFIGFILE - echo "START_VMWARE=no" >> $CONFIGFILE - echo >> $CONFIGFILE - echo "HELP_VMWARE=\"Load the vmware modules for better performance\"" >> $SOFTWAREHELP fi ;; --- NEW FILE: vmware --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/vmware,v $ # $Revision: 1.1 $ # $Date: 2006/06/08 15:37:36 $ # # http://www.devil-linux.org # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 ### BEGIN INIT INFO # Provides: vmware # Required-Start: $basebuildtools $libs linux # Required-Stop: # Default-Start: 1 2 # Default-Stop: # Description: description ### END INIT INFO # get the directoryname of the script MYDIR=${0%/*} # source functions and config source $MYDIR/settings case $1 in build ) if [ "$CONFIG_VMWARE" = "y" ]; then # nothing to be done here for now exit 0 fi ;; install ) if [ "$CONFIG_VMWARE" = "y" ]; then VMBINDIR=$(find_src_dir vmbin) cp -dpvR $VMBINDIR/{lib,sbin} $CDDIR/usr/ || exit 1 mkdir -p $ETCDIR/etc/vmware-tools || exit 1 cp -dpvR $VMBINDIR/etc/* $ETCDIR/etc/vmware-tools/ || exit 1 cp $MYDIR/scripts/vmware $ETCDIR/etc/init.d || exit 1 echo "# Load VMWare drivers?" >> $CONFIGFILE echo "# the driver will autodetect if we're running within a VM" >> $CONFIGFILE echo "# so you can safely leave this on" >> $CONFIGFILE echo "START_VMWARE=yes" >> $CONFIGFILE echo >> $CONFIGFILE echo "HELP_VMWARE=\"Load the vmware modules for better performance\"" >> $SOFTWAREHELP fi ;; * ) echo "ERROR ($0)" echo "please add parameter so I know what to do" exit 1 ;; esac |
|
From: Heiko Z. <smi...@us...> - 2006-06-08 15:37:49
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs4.sourceforge.net:/tmp/cvs-serv8422 Modified Files: CHANGES md5sum.lst Log Message: added support to act as VMWare Guest OS (vmware daemon, vmmemctl & vmxnet) Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1041 retrieving revision 1.1042 diff -u -d -r1.1041 -r1.1042 --- CHANGES 8 Jun 2006 13:47:35 -0000 1.1041 +++ CHANGES 8 Jun 2006 15:37:36 -0000 1.1042 @@ -22,6 +22,7 @@ # 1.3.2 +- added support to act as VMWare Guest OS (vmware daemon, vmmemctl & vmxnet) - discontinued use of "bzip -s" in save-config, since busybox tar doesn't like these archives anymore - updated php to 5.1.4 - updated Mail-SpamAssassin to 3.1.2 Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.285 retrieving revision 1.286 diff -u -d -r1.285 -r1.286 --- md5sum.lst 27 May 2006 23:13:29 -0000 1.285 +++ md5sum.lst 8 Jun 2006 15:37:36 -0000 1.286 @@ -481,6 +481,9 @@ af9d9e03038481fbf79ea3ac33f116f9 src/util-linux-2.12r.tar.bz2 821fda8f14d674346b87e3ef9cb96389 src/vim-6.3.tar.bz2 5f0c6060b33956fb16e11a15467dd394 src/vlan.1.9.tar.gz +ddce182df84fe883ff040376625ff66e src/vmbin.tar.bz2 +2cc444ffc9f7016a741ec2f0910fefbc src/vmmemctl.tar.bz2 +29171ac7bc927d9250d430291ff82734 src/vmxnet.tar.bz2 dec2837d33fbc1f96f77014d01739126 src/vobcopy-0.5.13.tar.bz2 74936cbd8e8251deb1cd99c5fb18b6f8 src/vsftpd-2.0.3.tar.gz 6e676438028e80cd435ba581a7d41a17 src/vtun-2.5.tar.gz |
|
From: Heiko Z. <smi...@us...> - 2006-06-08 13:47:50
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs4.sourceforge.net:/tmp/cvs-serv26604 Modified Files: CHANGES Log Message: discontinued use of "bzip -s" in save-config, since busybox tar doesn't like these archives anymore Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1040 retrieving revision 1.1041 diff -u -d -r1.1040 -r1.1041 --- CHANGES 27 May 2006 02:26:13 -0000 1.1040 +++ CHANGES 8 Jun 2006 13:47:35 -0000 1.1041 @@ -22,6 +22,7 @@ # 1.3.2 +- discontinued use of "bzip -s" in save-config, since busybox tar doesn't like these archives anymore - updated php to 5.1.4 - updated Mail-SpamAssassin to 3.1.2 - updated cdrtools to 2.01.01a09 |